package param

type SaveServer struct {
	IPScope        []string `json:"ipScope" form:"IPScope" label:"IPScope" binding:"required"`
	ListenPort     uint64   `json:"listenPort" form:"listenPort" label:"listenPort" binding:"required"`
	PrivateKey     string   `json:"privateKey" form:"privateKey" label:"privateKey" binding:"required"`
	PublicKey      string   `json:"publicKey" form:"publicKey" label:"publicKey" binding:"required"`
	PostUpScript   string   `json:"postUpScript,omitempty" form:"postUpScript" label:"postUpScript" binding:"omitempty"`
	PreDownScript  string   `json:"preDownScript,omitempty" form:"preDownScript" label:"preDownScript" binding:"omitempty"`
	PostDownScript string   `json:"postDownScript,omitempty" form:"postDownScript" label:"postDownScript" binding:"omitempty"`
}
