package router

import (
	"github.com/gin-gonic/gin"
	"wireguard-ui/http/api"
)

// SettingApi
// @description: 设置相关API
// @param r
func SettingApi(r *gin.RouterGroup) {
	setting := r.Group("setting")
	{
		setting.POST("", api.Setting().Set)            // 新增/编辑设置
		setting.DELETE("/:code", api.Setting().Delete) // 删除配置
		setting.GET("", api.Setting().GetSetting)      // 获取指定配置
	}
}
